Search the Community
Showing results for tags 'getpoint'.
-
how can I change “GETPOINT” z-axis value? I need always z-axis value “0”. Because when I am taking with getpoint, one line distance if the line has z axis that also it will come to that length. Am drafting 2d I don’t want 3d. so when I will get the quantity it's coming wrong (defun c:test()...
-
I keep getting an error when I use getpoint. When I look at SPT or EPT it's nil (defun c:STUD15 (/ SPT EPT Wallth Ceilinghg) (setq SPT (getpoint "\nPick start of wall.....")) (setq EPT (getpoint "\nPick end of wall....."));at this point I get...error: bad argument type: 2D/3D point: nil (setq Wa...
-
Get point of when there are no entities selected.
Lee Chu Chu posted a topic in AutoLISP, Visual LISP & DCL
I have this code: (setq PT1 (getpoint)) (setq PT2 (getpoint PT1)) (command "LINE" PT1 PT2) (command) (setq obj1 (entget (entlast))) (setq ent (car (nentsel "\nSelect Entity: \n"))) (cond ((/= ent nil) (setq obj2 (entget ent)) (command "chamfer" obj ent)... -
Say this is my code: (defun c:test() (setq list(getpoint "\nChoose point here") ) When you click on your autocad drawing i know that it stores the coordinates in a x,y,z format in a list.. How can i extract those numbers?
-
I'm running AutoCad Architecture 2013 on Win7 64bit. Installed VBA enabler for Acad2013 64bit version. When start the simple code below: Sub Example_GetPoint() Dim retPnt As Variant retPnt = ThisDrawing.Utility.GetPoint(, "Enter a point: ") ... ... ... ... End Sub It hangs...
-
User input: Getpoint OR real at the same time. Its possible?
Blur314 posted a topic in AutoLISP, Visual LISP & DCL
Hi everybody, First thing I want to apologize if something that I wrote sounds strange. Im spanish and my english is not as good as it should be=P. Im learling little by little autolisp things, mostly strugling through examples, codes, etc... many of them from this forum so I thank you a lot ^... -
one point relative to another for starting text
clint0577 posted a topic in AutoLISP, Visual LISP & DCL
In this lisp I'm trying to replace 4 blocks that pretty much do the same thing. I want the user to Click the point they want to use for the center of the text and the have the code calculate a certain distance, say 3.5 below on the Y axis for the next line of text. ;INSERT STREET NAME & R.O... -
Error: bad argument type - Sum getPoint with getInt variable.
cyberrog posted a topic in AutoLISP, Visual LISP & DCL
Hello, I'm building a lisp to add new text based on a standard distance givven by the user. The lisp is: (defun c:myFunction() (setq point (getpoint "Click on start point :")) (setq qtd (getint "\nQuantity of blocks :")) (setq dist (getint "\nDistance :")) (setq x 0 y...